org.apache.sling.launchpad.installer.impl

## Class ServicesListener.Listener

- java.lang.Object
- - org.apache.sling.launchpad.installer.impl.ServicesListener.Listener

All Implemented Interfaces:
  EventListener, org.osgi.framework.ServiceListener

Enclosing class:
  ServicesListener

    protected final class ServicesListener.Listener
    extends Object
    implements org.osgi.framework.ServiceListener

Helper class listening for service events for a defined service.

### Constructor Summary

Constructors
Constructor and Description
`ServicesListener.Listener(String serviceName)` Constructor

### Method Summary

Methods
`void` `deactivate()` Unregister the listener.
`Object` `getService()` Return the service (if available)
`void` `serviceChanged(org.osgi.framework.ServiceEvent event)`
`void` `start()` Start the listener.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ServicesListener.Listener

    public ServicesListener.Listener(String serviceName)

Constructor

### Method Detail

#### start

    public void start()

Start the listener. First register a service listener and then check for the service.

#### deactivate

    public void deactivate()

Unregister the listener.

#### getService

    public Object getService()

Return the service (if available)

#### serviceChanged

    public void serviceChanged(org.osgi.framework.ServiceEvent event)

Specified by:
  `serviceChanged` in interface `org.osgi.framework.ServiceListener`
See Also:
  `ServiceListener.serviceChanged(org.osgi.framework.ServiceEvent)`